The latest service changes have not yet been reflected in this content. We will update the content as soon as possible. Please refer to the Korean version for information on the latest updates.
Available in VPC
Check the progress status of rolling restart of a Cloud Data Streaming Service cluster.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| POST | /api/v1/cluster/rollingRestartProgressCheck (Korea Region) |
| POST | /api/sgn-v1/cluster/rollingRestartProgressCheck (Singapore Region) |
| POST | /api/jpn-v1/cluster/rollingRestartProgressCheck (Japan Region) |
Request headers
For information about the headers common to all Cloud Data Streaming Service APIs, see Cloud Data Streaming Service request headers.
Request body
You can include the following data in the body of your request:
| Field | Type | Required | Description |
|---|---|---|---|
serviceGroupInstanceNo |
Integer | Required | Cluster instance number
|
Request example
The request example is as follows:
curl --location --request POST 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/cluster/rollingRestartProgressCheck' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
"serviceGroupInstanceNo": 1009*****
}'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
code |
Integer | - | Response code |
message |
String | - | Response message |
result |
Object | - | Response result |
result.clusterName |
String | - | Cluster name |
result.brokerNodeTotalNumber |
Integer | - | Total number of broker nodes |
result.brokerNumber |
Integer | - | Number of broker nodes currently operating |
result.brokerStatus |
String | - | Average broker status of nodes
|
result.brokerStatusPerNode |
Array | - | Broker status by node: brokerStatusPerNode |
result.zookeeperTotalNumber |
Integer | - | Total number of ZooKeeper nodes |
result.zookeeperNumber |
Integer | - | Number of ZooKeeper nodes currently operating |
result.zookeeperStatus |
String | - | Average ZooKeeper status of nodes
|
result.zookeeperStatusPerNode |
Array | - | ZooKeeper status by node: zookeeperStatusPerNode |
result.cmakStatus |
String | - | CMAK status
|
brokerStatusPerNode
The following describes brokerStatusPerNode.
| Field | Type | Required | Description |
|---|---|---|---|
hostname |
String | - | Server instance name |
status |
String | - | Process status
|
zookeeperStatusPerNode
The following describes zookeeperStatusPerNode.
| Field | Type | Required | Description |
|---|---|---|---|
hostname |
String | - | Server instance name |
status |
String | - | Process status
|
Response status codes
For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see Cloud Data Streaming Service response status codes.
Response example
The response example is as follows:
{
"code": 0,
"message": "SUCCESS",
"result": {
"clusterName": "cluster00",
"brokerNodeTotalNumber": 3,
"brokerNumber": 0,
"brokerStatus": "green",
"brokerStatusPerNode": [
{
"hostname": "cluster00-b-25t6",
"status": "orange"
},
{
"hostname": "cluster00-b-25t7",
"status": "orange"
},
{
"hostname": "cluster00-b-25t8",
"status": "orange"
}
],
"zookeeperTotalNumber": 3,
"zookeeperNumber": 3,
"zookeeperStatus": "green",
"zookeeperStatusPerNode": [
{
"hostname": "cluster00-b-25t6",
"status": "green"
},
{
"hostname": "cluster00-b-25t7",
"status": "green"
},
{
"hostname": "cluster00-b-25t8",
"status": "green"
}
],
"cmakStatus": "green"
},
"requestId": "238f4390-****-****-****-7b13cdb1e14d"
}